Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028148
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 04. Warehouse managementminorhave not tried2014-11-12 10:042014-12-30 23:26
ReporteraferrazView Statuspublic 
Assigned Toumartirena 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision539fa37a226a
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028148: Cost Adjustment Lines of type Landed Cost should always be created in the same order

DescriptionCost Adjustment Lines of type Landed Cost should always be created in the same order
Steps To ReproduceIn "QA Testing" client:

Create a new Product named "Costing LC2" for Spain organization.
Go to Price tab, select "Purchase" price list and enter a unit/list price of 120 €.

Go to Purchase Order window and create a new order for Spain organization, product "Costing LC2", order date 07-11-2014, quantity 1500 and price 120.
Book the order. Let's say this is order 801370.

Go to Goods Receipt window and create a new receipt dated on 08-11-2014. Click on Create Lines From, select order 801370, select storage bin L01 and enter 320 units. Complete. Let's say this is receipt 10001795.

Navigate to Process Request window and run "Costing Background process".

Go to receipt window and post the receipt 10001795.
Realize that the value posted to the ledger is 38,400.00 (320 units * 120 €/unit)

Go to Goods Receipt window and create a new receipt dated on 09-11-2014. Click on Create Lines From, select order 801370, select storage bin L01 and enter 180 units. Complete. Let's say this is receipt 10001796.

Navigate to Process Request window and run "Costing Background process".

Go to receipt window and post the receipt 10001796.
Realize that the value posted to the ledger is 21,600.00 (180 units * 120 €/unit)

Go to Goods Receipt window and create a new receipt dated on 10-11-2014. Click on Create Lines From, select order 801370, select storage bin L01 and enter 300 units. Complete. Let's say this is receipt 10001797.

Navigate to Process Request window and run "Costing Background process".

Go to receipt window and post the receipt 10001797.
Realize that the value posted to the ledger is 36,000.00 (300 units * 120 €/unit)

Go to Purchase Invoice window and create a new invoice for Spain organization, invoice date 07-11-2014, financial invoice line true, account Fees, quantity 3 and unit price 95. Complete the invoice and post it. Let's say this is invoice 10000923.
Realize that the value posted to the ledger is 285.00 (3 units * 95 €/unit)

Go to Purchase Invoice window and create a new invoice for Spain organization, invoice date 07-11-2014, financial invoice line false, product Transportation Cost, quantity 3 and unit price 105. Complete the invoice and post it. Let's say this is invoice 10000924.
Realize that the value posted to the ledger is 346.50 (3 units * 105 €/unit + (3 units * 105 €/unit * 0.10 tax))

Go to Landed Cost window and create a new landed cost for Spain organization, reference date 07-11-2014. Move to Cost tab and add a new line with landed cost type Fees and invoice line the line of invoice 10000923. Add another line with landed cost type Transportation Cost and invoice line the line of invoice 10000924. Move to Receipt tab and add a new line with goods receipt 10001795. Add another line with goods receipt 10001796. Add another line with goods receipt 10001797. Click on Process button.

Navigate to Product window, select Costing LC2 and go to Transaction tab. Realize that there are 3 records:

- Transaction 1: Movement Quantity 320 - Transaction Receipt 10001795

- Transaction 2: Movement Quantity 180 - Transaction Receipt 10001796

- Transaction 3: Movement Quantity 300 - Transaction Receipt 10001797

Navigate to Cost Adjustment window and select the last created record. Move to Line tab and realize that there are 3 records. These records should always be created in the same order than the related transactions, but they are not.

The correct order should be:

- Line 1: Adjustment Amount 240.00 - Transaction Receipt 10001795

- Line 2: Adjustment Amount 135.00 - Transaction Receipt 10001796

- Line 3: Adjustment Amount 225.00 - Transaction Receipt 10001797
Proposed SolutionThe query which inserts new lines of type Landed Cost in Cost Adjustment Line, should have an orderBy clause to insert these lines in the same order which related inventory transaction was created.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0028266 closedSandrahuguet [Costing] "Parent Cost Adjustment Line" field in Cost Adjustment Line should always be assigned in the same order 

-  Notes
(0071607)
hgbot (developer)
2014-11-12 13:15

Repository: erp/devel/pi
Changeset: 539fa37a226a095041f3ac844a47f7aebba0bf09
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Wed Nov 12 13:14:57 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/539fa37a226a095041f3ac844a47f7aebba0bf09 [^]

Fixes Bug 28148: Landed Cost Adjustment Lines created ordered by trxprocessdate

---
M src/org/openbravo/costing/LandedCostProcess.java
---
(0071699)
aferraz (developer)
2014-11-17 12:12

Verified.
(0072293)
hgbot (developer)
2014-12-04 20:52

Repository: erp/devel/pi
Changeset: 5bb50e44ea6920701bd9094fd625182f59e40c9f
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Dec 01 16:55:05 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5bb50e44ea6920701bd9094fd625182f59e40c9f [^]

Related to Issue 28148 Cost Adjustment Lines created ordered by trxprocessdate

In order to help JUnit tests assert Cost Adjustment lines, an orderBy clause has been added when creating cost adjustment lines of type Landed Cost to follow always the same order

---
M src/org/openbravo/costing/LCMatchingProcess.java
---
(0073051)
hudsonbot (developer)
2014-12-30 23:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073179)
hudsonbot (developer)
2014-12-30 23:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-11-12 10:04 aferraz New Issue
2014-11-12 10:04 aferraz Assigned To => umartirena
2014-11-12 10:04 aferraz Modules => Core
2014-11-12 10:04 aferraz Triggers an Emergency Pack => No
2014-11-12 13:15 hgbot Checkin
2014-11-12 13:15 hgbot Note Added: 0071607
2014-11-12 13:15 hgbot Status new => resolved
2014-11-12 13:15 hgbot Resolution open => fixed
2014-11-12 13:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/539fa37a226a095041f3ac844a47f7aebba0bf09 [^]
2014-11-17 12:12 aferraz Review Assigned To => aferraz
2014-11-17 12:12 aferraz Note Added: 0071699
2014-11-17 12:12 aferraz Status resolved => closed
2014-11-24 17:55 aferraz Relationship added related to 0028266
2014-12-04 20:52 hgbot Checkin
2014-12-04 20:52 hgbot Note Added: 0072293
2014-12-30 23:24 hudsonbot Checkin
2014-12-30 23:24 hudsonbot Note Added: 0073051
2014-12-30 23:26 hudsonbot Checkin
2014-12-30 23:26 hudsonbot Note Added: 0073179


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker